GLOBUS-UPDATE-CERT(8)

NAME
globus-update-certificate-dir - Update symlinks in the trusted CA directory

SYNOPSIS

globus-update-certificate-dir -help

globus-update-certificate-dir [-d DIRECTORY]

DESCRIPTION

The globus-update-certificate-dir program creates symlinks between files (CA certificates, certificate revocation lists, signing policy, and certificate request configuration files) using the certificate hash the installed version of OpenSSL uses. OpenSSL 1.0.0 uses a different name hashing algorithm than previous versions, so CA distributions created with older versions of OpenSSL might not be able to locate trusted CAs and related files. Running globus-update-certificate-dir against a trusted CA directory will add symlinks to the files to the hash if needed.

OPTIONS

-help
    Display a help message to standard output and exit

-d DIRECTORY
    Create links in the trusted CA directory DIRECTORY instead of using the default search path.

ENVIRONMENT

The following variables affect the execution of globus-update-certificate-dir:

X509_CERT_DIR
    Default trusted certificate directory.

HOME
    Path to the current user’s home directory.

GLOBUS_LOCATION
    Path to the Globus installation.

AUTHOR

Copyright © 1999-2014 University of Chicago